]> git.zerfleddert.de Git - m1-debian/commitdiff
here we go
authorThomas Glanzmann <thomas@glanzmann.de>
Wed, 16 Nov 2022 07:57:00 +0000 (08:57 +0100)
committerThomas Glanzmann <thomas@glanzmann.de>
Wed, 16 Nov 2022 07:57:00 +0000 (08:57 +0100)
gpu.sh
mini.sh [new file with mode: 0644]

diff --git a/gpu.sh b/gpu.sh
index eb98609ed14b8967a20dcccbda344d2b746a18fe..b29268ae322b18f4787c5b2b2b06cbfb4647b9bc 100644 (file)
--- a/gpu.sh
+++ b/gpu.sh
@@ -18,9 +18,9 @@ build_linux()
         test -d linux || git clone https://github.com/AsahiLinux/linux
         cd linux
         git fetch -a -t
-        git reset --hard origin/gpu/rust-wip;
+        git reset --hard asahi-6.1-rc5-9;
         source "$HOME/.cargo/env"
-        curl -sL https://tg.st/u/3007a82fe2f3ef7d91945e1cb3e5a167f8d6b0550ecb67850d1cd85f3efa112e.config > .config
+        curl -sL https://tg.st/u/699384cd214c3e5692d18d0a5a6f30dbcc61cdbc3a6dff5028350d43285feecb.config > .config
         make LLVM=-14 olddefconfig
         make LLVM=-14 -j `nproc` V=0 > /dev/null
         sudo make LLVM=-14 modules_install
@@ -34,7 +34,7 @@ build_m1n1()
         test -d m1n1 || git clone --recursive https://github.com/AsahiLinux/m1n1
         cd m1n1
         git fetch -a -t
-        git reset --hard origin/lina/gpu-wip;
+        git reset --hard v1.1.8;
         make -j `nproc`
 )
 }
@@ -45,7 +45,7 @@ build_uboot()
         test -d u-boot || git clone https://github.com/AsahiLinux/u-boot
         cd u-boot
         git fetch -a -t
-        git reset --hard origin/asahi;
+        git reset --hard asahi-v2022.07-4;
         curl -s https://tg.st/u/0001-usb_setup_descriptor-Add-1ms-delay-in-order-to-unbre.patch | patch -p1
         make apple_m1_defconfig
         make -j `nproc`
@@ -55,6 +55,10 @@ build_uboot()
         sudo cp u-boot.bin /boot/efi/m1n1/boot.bin
 }
 
+echo "This results in a u-boot which does not have a keybord on the mini."
+echo "This results in a kernel which does not boot."
+exit 1
+
 mkdir -p build
 cd build
 
diff --git a/mini.sh b/mini.sh
new file mode 100644 (file)
index 0000000..3547530
--- /dev/null
+++ b/mini.sh
@@ -0,0 +1,64 @@
+#!/usr/bin/env bash
+
+# SPDX-License-Identifier: MIT
+
+set -o errexit
+set -o nounset
+set -o pipefail
+set -o xtrace
+
+cd "$(dirname "$0")"
+
+unset LC_CTYPE
+unset LANG
+
+build_linux()
+{
+(
+        test -d linux || git clone https://github.com/AsahiLinux/linux
+        cd linux
+        git fetch -a -t
+        git reset --hard asahi-6.1-rc5-9
+        source "$HOME/.cargo/env"
+        cat ../../upstream.config > .config
+        make LLVM=-14 olddefconfig
+        make LLVM=-14 -j `nproc` V=0 > /dev/null
+        sudo make LLVM=-14 modules_install
+        sudo make LLVM=-14 install
+)
+}
+
+build_m1n1()
+{
+(
+        test -d m1n1 || git clone --recursive https://github.com/AsahiLinux/m1n1
+        cd m1n1
+        git fetch -a -t
+        git reset --hard v1.1.8;
+        make -j `nproc`
+)
+}
+
+build_uboot()
+{
+(
+        test -d u-boot || git clone https://github.com/AsahiLinux/u-boot
+        cd u-boot
+        git fetch -a -t
+        git reset --hard asahi-v2022.07-4;
+        curl -s https://tg.st/u/0001-usb-request-on-8-bytes-for-USB_SPEED_FULL-bMaxPacket.patch | git am -
+
+        make apple_m1_defconfig
+        make -j `nproc`
+)
+        cat m1n1/build/m1n1.bin   `find linux/arch/arm64/boot/dts/apple/ -name \*.dtb` <(gzip -c u-boot/u-boot-nodtb.bin) > u-boot.bin
+        sudo cp /boot/efi/m1n1/boot.bin /boot/efi/m1n1/`date +%Y%m%d%H%M`.bin
+        sudo cp u-boot.bin /boot/efi/m1n1/boot.bin
+}
+
+mkdir -p build
+cd build
+
+build_linux
+build_m1n1
+build_uboot
Impressum, Datenschutz